if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_LIST_DIR})
    cmake_minimum_required(VERSION 3.16)
    cmake_policy(SET CMP0141 NEW)
    set(CMAKE_MSVC_DEBUG_INFORMATION_FORMAT "$<$<CONFIG:Debug,RelWithDebInfo>:Embedded>")
    project(ECAP_Server)
    set(ECAP_Server_VERSION 1.0.0)
    set(CMAKE_CXX_STANDARD 20)
    include(third_party/build_infra/start.cmake)
    include(third_party/CPP_Core/main.cmake)
    include(third_party/SSR/main.cmake)
    set(ecap_rely global::drogon global::libarchive global::SQLiteCpp)
    library_is_installed_with_rely(ok ${ecap_rely})
    if (${ok})
        include(${CMAKE_SOURCE_DIR}/main.cmake)
    else ()
        message("ECAP_Server 依赖未安装！  请运行 ecap_server_env 目标安装所需第三方依赖")
    endif ()
    rcl_add_dependency_action_targets("ecap_server_env" ${ecap_rely})
    include(third_party/build_infra/end.cmake)
else ()
endif ()


